Skip to content

Pipeline Details

GET
/pipelines/{pipeline_id}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/{pipeline_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
pipeline_id
required
string
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Successful retrieval of pipeline details

Media typeapplication/json
object
code
integer
message
string
data
object
id
integer
name
string
description
string
parameters
string
pipeline_id
string
runs
Array<object>
object
default_version_id
string
pipeline_type
string
created_at
string format: date-time
updated_at
string format: date-time
source
string
errors
object

Example

{
"code": 200,
"message": "Success",
"data": {
"id": 1556,
"name": "helloworld-124-1731580109",
"description": "initial",
"parameters": "",
"pipeline_id": "824dccf7-edab-4b69-8f7a-6b77f726f74b",
"runs": [],
"default_version_id": "1c48f3a2-70cb-4deb-9b83-36678c2f507c",
"pipeline_type": "Argo",
"created_at": "2024-11-14T10:28:29.987561Z",
"updated_at": "2024-11-14T10:28:31.355315Z",
"source": "pipeline"
},
"errors": {}
}